curl --request POST \
--url https://api.tented.ai/v1/tents/{tentId}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.tented.ai/v1/tents/{tentId}/assets"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.tented.ai/v1/tents/{tentId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actual_tent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "<string>",
"filename": "<string>",
"content_type": "<string>",
"file_size": 123,
"uploaded_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}Upload an asset
Upload one file (max 4 MB) to a tent as multipart/form-data with a single file field. Pass the literal tent ID new to create an idle tent and get back its actual_tent_id for use with POST /v1/tents. Supported types: images (PNG, JPEG, GIF, SVG, WebP, ICO, TIFF, AVIF), documents (PDF, Word, Markdown, plain text, Excel, CSV, PowerPoint), and media (MP4, WebM, QuickTime, MP3, WAV).
Authorizations
Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.
Path Parameters
Tent ID, or the literal new to create an idle tent.
Body
The file to upload (max 4 MB).
Response
Asset stored.
Tent the asset was attached to. When you upload to /v1/tents/new/assets, this is the newly created idle tent — pass it as tent_id to POST /v1/tents.
Asset ID. Reference it in asset_ids when creating or editing the tent.
Original file name.
MIME type of the uploaded file.
File size in bytes.
Upload timestamp.